curl --location --request GET 'https://api.stateset.com/v1/manufacture_orders/:id' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
"manufacture_order_id": "example_1",
"name": "Example 1",
"mapping": {"40": "213", "134": "386"},
"properties": {"filterValue": "value"}
}'
{
"count": 1,
"next": null,
"previous": null,
"results": [
{
"id": "b1b1b1b1-b1b1-b1b1-b1b1-b1b1b1b1b1b1",
"memo": "This is a manufacture order",
"number": "MO-0001",
"priority": "High",
"site": "Site 1",
"yield_location": "Location 1",
"created_on": "2021-01-01T00:00:00.000000Z",
"expected_completion_date": "2021-01-01",
"issued_on": "2021-01-01",
"manufacture_order_line_items": [
{
"bom_name": "BOM 1",
"bom_number": "BOM-0001",
"id": "b1b1b1b1-b1b1-b1b1-b1b1-b1b1b1b1b1b1",
"expected_date": "2021-01-01",
"line_status": "In Progress",
"line_type": "Manufacture",
"manufacture_order_number": "MO-0001",
"output_type": "Product",
"part_name": "Part 1",
"part_number": "PART-0001",
"priority": "High",
"quantity": 100,
"site": "Site 1",
"work_order_number": "WO-0001",
"yield_location": "Location 1"
}
]
}
]
}
Get Manufacture Order
This endpoint gets a manufacture order.
GET
/
v1
/
manufacture_orders
/
{id}
curl --location --request GET 'https://api.stateset.com/v1/manufacture_orders/:id' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
"manufacture_order_id": "example_1",
"name": "Example 1",
"mapping": {"40": "213", "134": "386"},
"properties": {"filterValue": "value"}
}'
{
"count": 1,
"next": null,
"previous": null,
"results": [
{
"id": "b1b1b1b1-b1b1-b1b1-b1b1-b1b1b1b1b1b1",
"memo": "This is a manufacture order",
"number": "MO-0001",
"priority": "High",
"site": "Site 1",
"yield_location": "Location 1",
"created_on": "2021-01-01T00:00:00.000000Z",
"expected_completion_date": "2021-01-01",
"issued_on": "2021-01-01",
"manufacture_order_line_items": [
{
"bom_name": "BOM 1",
"bom_number": "BOM-0001",
"id": "b1b1b1b1-b1b1-b1b1-b1b1-b1b1b1b1b1b1",
"expected_date": "2021-01-01",
"line_status": "In Progress",
"line_type": "Manufacture",
"manufacture_order_number": "MO-0001",
"output_type": "Product",
"part_name": "Part 1",
"part_number": "PART-0001",
"priority": "High",
"quantity": 100,
"site": "Site 1",
"work_order_number": "WO-0001",
"yield_location": "Location 1"
}
]
}
]
}
Body
Response
string
Unique identifier for the manufacture order
string
Additional notes or information about the manufacture order
string
Number assigned to the manufacture order
string
Priority level of the manufacture order
string
Site or location associated with the manufacture order
string
Location where the manufactured product will be stored
datetime
Date and time when the manufacture order was created
date
Expected date of completion for the manufacture order
date
Date when the manufacture order was issued
object
Show Show child attributes
Show Show child attributes
string
Name of the bill of materials (BOM) associated with the line item
string
Number assigned to the bill of materials (BOM)
string
Unique identifier for the line item
date
Expected date for the completion of the line item
string
Status of the line item (e.g., in progress, completed, etc.)
string
Type or category of the line item
string
Number of the associated manufacture order
string
Type of output produced by the line item (e.g., product, component)
string
Name of the part associated with the line item
string
Number assigned to the part associated with the line item
string
Priority level of the line item
integer
Quantity of the part to be manufactured or processed
string
Site or location associated with the line item
string
Number of the associated work order
string
Location of the yield of the manufacture order line item
curl --location --request GET 'https://api.stateset.com/v1/manufacture_orders/:id' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
"manufacture_order_id": "example_1",
"name": "Example 1",
"mapping": {"40": "213", "134": "386"},
"properties": {"filterValue": "value"}
}'
{
"count": 1,
"next": null,
"previous": null,
"results": [
{
"id": "b1b1b1b1-b1b1-b1b1-b1b1-b1b1b1b1b1b1",
"memo": "This is a manufacture order",
"number": "MO-0001",
"priority": "High",
"site": "Site 1",
"yield_location": "Location 1",
"created_on": "2021-01-01T00:00:00.000000Z",
"expected_completion_date": "2021-01-01",
"issued_on": "2021-01-01",
"manufacture_order_line_items": [
{
"bom_name": "BOM 1",
"bom_number": "BOM-0001",
"id": "b1b1b1b1-b1b1-b1b1-b1b1-b1b1b1b1b1b1",
"expected_date": "2021-01-01",
"line_status": "In Progress",
"line_type": "Manufacture",
"manufacture_order_number": "MO-0001",
"output_type": "Product",
"part_name": "Part 1",
"part_number": "PART-0001",
"priority": "High",
"quantity": 100,
"site": "Site 1",
"work_order_number": "WO-0001",
"yield_location": "Location 1"
}
]
}
]
}
Manufacture Order
| Field | Type | Description |
|---|---|---|
| id | String | Unique identifier for the manufacture order |
| memo | String | Additional notes or information about the manufacture order |
| number | String | Number assigned to the manufacture order |
| priority | String | Priority level of the manufacture order |
| site | String | Site or location associated with the manufacture order |
| yield_location | String | Location where the manufactured product will be stored |
| created_on | DateTime | Date and time when the manufacture order was created |
| expected_completion_date | Date | Expected date of completion for the manufacture order |
| issued_on | Date | Date when the manufacture order was issued |
Manufacture Order Line Item
| Field | Type | Description |
|---|---|---|
| bom_name | String | Name of the bill of materials (BOM) associated with the line item |
| bom_number | String | Number assigned to the bill of materials (BOM) |
| id | String | Unique identifier for the line item |
| expected_date | Date | Expected date for the completion of the line item |
| line_status | String | Status of the line item (e.g., in progress, completed, etc.) |
| line_type | String | Type or category of the line item |
| manufacture_order_number | String | Number of the associated manufacture order |
| output_type | String | Type of output produced by the line item (e.g., product, component) |
| part_name | String | Name of the part associated with the line item |
| part_number | String | Number assigned to the part associated with the line item |
| priority | String | Priority level of the line item |
| quantity | Integer | Quantity of the part to be manufactured or processed |
| site | String | Site or location associated with the line item |
| work_order_number | String | Number of the associated work order |
| yield_location | String | Location where the manufactured product will be stored |
โI